org.richfaces.renderkit.html

## Class ExtendedColumnVisitor

- java.lang.Object
- - org.richfaces.renderkit.html.ExtendedColumnVisitor

- All Implemented Interfaces:
    ColumnVisitor

      public abstract class ExtendedColumnVisitor
      extends java.lang.Object
      implements ColumnVisitor

  Author:
    Anton Belevich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedColumnVisitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `renderContent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent column, javax.faces.context.ResponseWriter writer, ScrollableDataTableRendererState state)`
    `int` | `visit(javax.faces.context.FacesContext context, javax.faces.component.UIComponent column, javax.faces.context.ResponseWriter writer, ScrollableDataTableRendererState state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedColumnVisitor

          public ExtendedColumnVisitor()

  - ### Method Detail

    - #### visit

          public int visit(javax.faces.context.FacesContext context,
                  javax.faces.component.UIComponent column,
                  javax.faces.context.ResponseWriter writer,
                  ScrollableDataTableRendererState state)
                    throws java.io.IOException

      Specified by:
        `visit` in interface `ColumnVisitor`
      Throws:
        `java.io.IOException`

    - #### renderContent

          public abstract void renderContent(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent column,
                           javax.faces.context.ResponseWriter writer,
                           ScrollableDataTableRendererState state)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2014. All Rights Reserved.